#!/bin/bash

#整理当前目录下的jpg图片名字，按照目录名字排序。
dir=`pwd`;dir=${dir##\/*\/}
num=0

for i in *.jpg *.JPG
do
#符合规则的文件不需要修改
	if [ `expr match "$i" "${dir}-[0-9]*.[jpg|JPG]$"` != 0 ]; then
		tmp=${i#"$dir"-}
		tmp=${tmp%".jpg"}
#		echo ${tmp} ----------------------
		if [ "$tmp" -le "$num" ]; then
		echo $i 符合规则，不修改。当前排序已到 $num。
		continue
		fi
	fi
	result="$dir"-$num.jpg
#防止覆盖已有文件
	while [ -e "$result" ]
	do
		((num++))
		result="$dir"-$num.jpg
	done
#	i=`echo $i | sed 's/\ /\\\ /g'`
#	result=`echo $result | sed 's/\ /\\\ /g'`
	# | sed 's/\(/\\\(/g' | sed 's/\)/\\\)/g'
	echo $i '->' $result
	mv "$i" "$result"
	((num++))
done
